Bug 628698 - (CVE-2010-3683) CVE-2010-3683 MySQL: mysqld DoS (assertion failure) while reading the file back into a table (MySQL bug #52512)
CVE-2010-3683 MySQL: mysqld DoS (assertion failure) while reading the file ba...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100709,reported=20100827,sou...
: Security
Depends On: 636780 652553 652554
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-30 15:39 EDT by Jan Lieskovsky
Modified: 2015-08-19 04:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-05 11:45:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-08-30 15:39:42 EDT
MySQL improperly handled LOAD DATA INFILE requests (it did not
check for SQL errors and sent an OK packet even when errors were
already reported). A remote, authenticated MySQL user could use
this flaw to cause mysqld daemon abort (assertion failure).

References:
  [1] http://secunia.com/advisories/41048/
  [2] http://dev.mysql.com/doc/refman/5.1/en/news-5-1-49.html

Upstream bug report:
  [3] http://bugs.mysql.com/bug.php?id=52512

Upstream changeset:
  [4] http://lists.mysql.com/commits/105163
Comment 1 Jan Lieskovsky 2010-08-30 15:41:30 EDT
Public reproducer from [3]:

# cat t/tst.test
# The file might exist or not, it does not make any difference.
# --send is important

CREATE TABLE test.t_load (id INT NOT NULL);
--send LOAD DATA LOCAL INFILE 'tb.txt' INTO TABLE test.t_load

#<EOF>
Comment 4 Jan Lieskovsky 2010-08-31 06:47:23 EDT
This issue did NOT affect the versions of the mysql package, as shipped
with Red Hat Enterprise Linux 3, 4, and 5.

--

This issue affects the versions of the mysql package, as shipped with
Fedora release of 12 and 13.
Comment 6 Jan Lieskovsky 2010-08-31 08:55:19 EDT
CVE Request: http://www.openwall.com/lists/oss-security/2010/08/30/8
Comment 7 Jan Lieskovsky 2010-09-23 05:20:39 EDT
Created mysql tracking bugs for this issue

Affects: fedora-all [bug 636780]
Comment 8 Jan Lieskovsky 2010-09-29 04:47:00 EDT
The CVE identifier of CVE-2010-3683 has been assigned to this issue.
Comment 9 Jan Lieskovsky 2010-09-29 06:02:38 EDT
Statement:

Not vulnerable. This issue did not affect the versions of mysql package
as shipped with Red Hat Enterprise Linux 3, 4, or 5.
Comment 11 errata-xmlrpc 2011-01-18 13:43:47 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0164 https://rhn.redhat.com/errata/RHSA-2011-0164.html

Note You need to log in before you can comment on or make changes to this bug.